Package com.smartgwt.client.widgets.events

# Class DrawEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<DrawHandler>
com.smartgwt.client.widgets.events.DrawEvent

public class DrawEvent extends GwtEvent<DrawHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawEvent(String ID)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(DrawHandler handler)`
  `static <S extends HasDrawHandlers & HasHandlers>
  void`
  `fire(S source, String ID)`
  Fires a close event on all registered handlers in the handler manager.
  `final GwtEvent.Type<DrawHandler>`
  `getAssociatedType()`
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `String`
  `getID()`
  `static GwtEvent.Type<DrawHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DrawEvent

    public DrawEvent(String ID)

- ## Method Details

  - ### getID

    public String getID()

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasDrawHandlers & HasHandlers> void fire(S source, String ID)
    Fires a close event on all registered handlers in the handler manager.
    Type Parameters:
      `T` - the target type
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `target` - the target
      `autoClosed` - was the target closed automatically

  - ### getType

    public static GwtEvent.Type<DrawHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(DrawHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<DrawHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<DrawHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<DrawHandler>`